Subject: bug#29268: closed (Re: gzip-1.8.41 test results on Mac OS X/PowerPC)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 01 Apr 2022 00:25:02 +0000

Your bug report

#29268: gzip-1.8.41 test results on Mac OS X/PowerPC

which was filed against the gzip package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29268: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29268
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: gzip-1.8.41 test results on Mac OS X/PowerPC
From: Paul Eggert <[email-masked]>
To: Bruno Haible <[email-masked]>
Cc: [email-masked]
Date: Thu, 31 Mar 2022 17:24:14 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for that old bug report. We fixed it soon after you reported it, 
here:

https://git.savannah.gnu.org/cgit/gzip.git/commit/?id=63aa2268a5abfed0116d04bbe3952e4a753af91d

but didn't make the connection between the fix and the bug report. So 
I'll close the bug report now.

By the way, I just now tried bleeding-edge gzip on macOS 12.1 (Apple M1) 
and found one portability glitch, which I fixed by installing the 
attached into gzip.

From 2532f0a0d464fa1d0845a74789cb6859e4086021 Mon Sep 17 00:00:00 2001
From: Paul Eggert <[email-masked]>
Date: Thu, 31 Mar 2022 17:15:17 -0700
Subject: [PATCH] tests: port list-big test to macOS 12.1

* tests/list-big: Use dd, not truncate, to create a big file.
---
 tests/list-big | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/list-big b/tests/list-big
index a0aeb75..10cb7c7 100755
--- a/tests/list-big
+++ b/tests/list-big
@@ -19,7 +19,7 @@
 
 . "${srcdir=.}/init.sh"; path_prepend_ ..
 
-truncate --size 4G big || framework_failure_
+dd bs=65536 seek=65536 if=/dev/null of=big || framework_failure_
 
 gzip -1 big || fail=1
 gzip -l big.gz >out || fail=1
-- 
2.32.0

Subject: gzip-1.8.41 test results on Mac OS X/PowerPC
From: Bruno Haible <[email-masked]>
To: [email-masked]
Date: Sun, 12 Nov 2017 00:42:48 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Test results of the newest gzip + gnulib on MacOS X 10.5.8 / PowerPC:

FAIL: help-version
FAIL: zgrep-f

Find attached the test-suite.log.